apiVersion: v1
kind: Namespace
metadata:
  name: hw-03

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-server
  namespace: hw-03
  labels:
    app: nginx-server
spec:
  strategy:
    type: Recreate
  selector:
    matchLabels:
      app: nginx-server
  replicas: 3
  template:
    metadata:
      labels:
        app: nginx-server
    spec:
      containers:
      - name: nginx-server
        image: nginx:1.19.4
        resources:
          limits:
            cpu: "20m"
            memory: "128Mi"
          requests:
            cpu: "20m"
            memory: "128Mi"
        ports:
        - containerPort: 80

---
apiVersion: v1
kind: Service
metadata:
  name: nginx-server
  namespace: hw-03
  labels:
    app: nginx-server
spec:  
  type: ClusterIP
  ports:
  - port: 80 #Pod Port
    targetPort: 80 #Container Port
    protocol: TCP
    name: http  
  selector:
    app: nginx-server